SolrDocument::unserialize
SolrDocument::valid
SolrDocument
PHP Manual

# SolrDocument::__unset

(PECL solr >= 0.9.2)

SolrDocument::__unset — Removes a field from the document

### Description

public bool SolrDocument::__unset ( string `$fieldName` )

Removes a field from the document when the field is access as an object property.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SolrDocument::unserialize
SolrDocument::valid
SolrDocument
PHP Manual